Executive Summary



This Alert is flagged as TOP 25 Common Weakness Enumeration from CWE/SANS. For more information, you can read this.
Informations
NameCVE-2018-19932First vendor Publication2018-12-07
VendorCveLast vendor Modification2019-03-04

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:N/I:N/A:P)
Cvss Base Score4.3Attack RangeNetwork
Cvss Impact Score2.9Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils through 2.31. There is an integer overflow and infinite loop caused by the IS_CONTAINED_BY_LMA macro in elf.c.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19932

CWE : Common Weakness Enumeration

%idName
100 %CWE-190Integer Overflow or Wraparound (CWE/SANS Top 25)

CPE : Common Platform Enumeration

TypeDescriptionCount
Application52
Os1

Sources (Detail)

SourceUrl
BID http://www.securityfocus.com/bid/106144
CONFIRM https://security.netapp.com/advisory/ntap-20190221-0004/
MISC https://sourceware.org/bugzilla/show_bug.cgi?id=23932
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=beab453223769279cc...

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
DateInformations
2019-03-08 21:19:45
  • Multiple Updates
2019-03-04 17:18:55
  • Multiple Updates
2019-02-23 09:19:21
  • Multiple Updates
2018-12-31 21:19:35
  • Multiple Updates
2018-12-11 17:18:57
  • Multiple Updates
2018-12-07 12:06:35
  • First insertion